curl --request PUT \
--url https://api.mnemom.ai/v1/orgs/{org_id}/card-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"template": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
}
}
'{
"org_id": "<string>",
"enabled": true,
"template": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Create or update the organization’s alignment card template. All agents in the org will inherit this template. Requires owner or admin role. Requires Enterprise plan.
curl --request PUT \
--url https://api.mnemom.ai/v1/orgs/{org_id}/card-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"template": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
}
}
'{
"org_id": "<string>",
"enabled": true,
"template": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Supabase JWT token in Authorization: Bearer header
Template updated
Organization alignment card template that all agents inherit
Organization ID
Whether the template is active
The alignment card template JSON
Show child attributes
User ID who created the template
User ID who last updated the template